Open CASCADE Technology: StepAP214_Array1OfAutoDesignPresentedItemSelect Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepAP214_Array1OfAutoDesignPresentedItemSelect Class Reference

`#include <StepAP214_Array1OfAutoDesignPresentedItemSelect.hxx>`

## Public Member Functions
| StepAP214_Array1OfAutoDesignPresentedItemSelect (const Standard_Integer Low, const Standard_Integer Up)
| StepAP214_Array1OfAutoDesignPresentedItemSelect (const StepAP214_AutoDesignPresentedItemSelect &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const StepAP214_AutoDesignPresentedItemSelect &V)
void | Destroy ()
| ~StepAP214_Array1OfAutoDesignPresentedItemSelect ()
Standard_Boolean | IsAllocated () const
const StepAP214_Array1OfAutoDesignPresentedItemSelect & | Assign (const StepAP214_Array1OfAutoDesignPresentedItemSelect &Other)
const StepAP214_Array1OfAutoDesignPresentedItemSelect & | operator= (const StepAP214_Array1OfAutoDesignPresentedItemSelect &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_AutoDesignPresentedItemSelect &Value)
const StepAP214_AutoDesignPresentedItemSelect & | Value (const Standard_Integer Index) const
const StepAP214_AutoDesignPresentedItemSelect & | operator() (const Standard_Integer Index) const
StepAP214_AutoDesignPresentedItemSelect & | ChangeValue (const Standard_Integer Index)
StepAP214_AutoDesignPresentedItemSelect & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepAP214_Array1OfAutoDesignPresentedItemSelect::StepAP214_Array1OfAutoDesignPresentedItemSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepAP214_Array1OfAutoDesignPresentedItemSelect::StepAP214_Array1OfAutoDesignPresentedItemSelect | ( | const StepAP214_AutoDesignPresentedItemSelect & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepAP214_Array1OfAutoDesignPresentedItemSelect::~StepAP214_Array1OfAutoDesignPresentedItemSelect | ( |  | ) |
| inline

## Member Function Documentation

const StepAP214_Array1OfAutoDesignPresentedItemSelect& StepAP214_Array1OfAutoDesignPresentedItemSelect::Assign | ( | const StepAP214_Array1OfAutoDesignPresentedItemSelect & | Other | ) |

StepAP214_AutoDesignPresentedItemSelect& StepAP214_Array1OfAutoDesignPresentedItemSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepAP214_Array1OfAutoDesignPresentedItemSelect::Destroy | ( |  | ) |

void StepAP214_Array1OfAutoDesignPresentedItemSelect::Init | ( | const StepAP214_AutoDesignPresentedItemSelect & | V | ) |

Standard_Boolean StepAP214_Array1OfAutoDesignPresentedItemSelect::IsAllocated | ( |  | ) | const

Standard_Integer StepAP214_Array1OfAutoDesignPresentedItemSelect::Length | ( |  | ) | const

Standard_Integer StepAP214_Array1OfAutoDesignPresentedItemSelect::Lower | ( |  | ) | const

const StepAP214_AutoDesignPresentedItemSelect& StepAP214_Array1OfAutoDesignPresentedItemSelect::operator() | ( | const Standard_Integer | Index | ) | const
| inline

StepAP214_AutoDesignPresentedItemSelect& StepAP214_Array1OfAutoDesignPresentedItemSelect::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepAP214_Array1OfAutoDesignPresentedItemSelect& StepAP214_Array1OfAutoDesignPresentedItemSelect::operator= | ( | const StepAP214_Array1OfAutoDesignPresentedItemSelect & | Other | ) |
| inline

void StepAP214_Array1OfAutoDesignPresentedItemSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_AutoDesignPresentedItemSelect & | Value
| ) |  |

Standard_Integer StepAP214_Array1OfAutoDesignPresentedItemSelect::Upper | ( |  | ) | const

const StepAP214_AutoDesignPresentedItemSelect& StepAP214_Array1OfAutoDesignPresentedItemSelect::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepAP214_Array1OfAutoDesignPresentedItemSelect.hxx